RE-9670

ADTF 3.3.3

Requester's Priority: Normal Platform: Windows 7 64bit
Support Level: 2nd Level Topic: ADTF::Control
Resolution: Solved Issue FAQ Links:

Description

Support Anfrage:

Wie war das jetzt noch mit den Changeable-Properties? Ich meine mal gehért zu haben, dass es diese prinzipiell noch gibt, und das

man diese Uber den System Launcher &ndern kénnte. Wo finde ich dazu was in der Doku?

Aus dem AADC:

is there a way to change the value of properties at runtime (or while starting and stopping the ADTF session)?

Back in ADTF 2, there was the possibility to use the ISCHANGEABLE macro

(https://support.digitalwerk.net/adtf/v2/adtf _sdk _html_docs/adtf

constants 8h.html#afbc3a735e353f1795e1ec17db9b669c8) ...

Lésung:

In ADTF 3.x kann man dies tUber ADTF Control erreichen.
Siehe hierzu auch in der Duko den Eintrag:

Testautomation with ADTF Control

Die nétigen/méglichen Befehle sind in der Hilfe des ADTF Control alle angegeben.

Siehe auch z.b.: "adtf_control -help"

History

#1 - 2018-09-10 14:04 - hidden

- Project changed from Public Support to 11
- Status changed from New to In Progress

- Topic set to ADTF::Control

- Customer set to AUDI

- Department set to AEV

- Affected Products ADTF 3.3.3 added

- Platform Windows 7 64bit added

#2 - 2018-09-10 14:49 - hidden
- File ADTF_3_Control.png added

Hallo Raphael,

wir werden noch ein Produktticket zur Dokumentation erstellen. Dies ist so noch nicht aufgenommen bzw. noch nicht ausreichend erklart.

Was man tun kann:

Uber ADTF Control kann man dies erreichen.
Siehe hierzu in der Duko den Eintrag:
Testautomation with ADTF Control
https://support.digitalwerk.net/adtf/v2/adtf_sdk_html_docs/adtf__constants_8h.html#afbc3a735e353f1795e1ec17db9b669c8
https://support.digitalwerk.net/adtf/v3/adtf_html/page_adtf_control.html#section_adtf_control_test_automation
https://support.digitalwerk.net/adtf/v3/adtf_html/page_adtf_control.html#section_adtf_control_test_automation

Damit kann man dies von "extern" steuern.

In ADTF Control erhalst Du mit der Hilfe ("adtf_control -help") unter Session die relevanten Eintrage flir die Properties angezeigt.
§iehe auch den Screenshot.

1 DAMADTRI. 3. bin\adtf_control.exe = | E =

seeknext [{MNAME>]1 L[<{COUNT>]
seekprev [{NAME>1 [<{COUNT>:]
plavyhacktime

RECORDING:
startrecording [{RECORDER_ID>1 [<{FILE>]
drophistory [<RECORDER_ID:>1]
stoprecording [{RECORDER_ID>1 [<FILEX]
splitrecording [{RECORDER_ID>]1 [<FILE>]
addmarker [<{RECORDER_ID>1 L[<TIME>1 [<MNAME>]
recorderids

rpcohjects

gqetinterfacedefinition <RPC_OBJECT >

rpcnethodparams {RPC_OBJECT > <{METHOD_NAME>

rpc {RPC_OBJECT> <METHOD_MWAME> [<PARAMETER_MAME> <{PARAMETER_UALUE>1...
rpcnotify <{RPC_OBJECT> <METHOD_MAME> [<{PARAMETER_MWAME> <PARAMETER_UALUE>

rpcjson <RPC_OBJECT> {METHOD_MAME»> <JSON_PARAMETER_STRIHG>
rpenotifyjson <RPC_OBJECT> {METHOD_MAME> <JSON_PARAMETER_STRING:
rpcmethods <RPC_OBJECT >

sessionname

setprop <SESSION_OBJECT > <{PROPERTY_MNAME> <PROPERTY_UALUE>
getprop <SESSION_OBJECTI > <PROPERTY_MNAME:>

listprops <SESSIOM_OBJECT >

sessionobjects

activestreaminggraph <NAME>

kernelobjects

activefiltergraph <NAME>

izalive

processid

info

runlevel [{RUNLEUEL}]
systemstatus [-xmll [-hl

statusmonitor [<URL>]
loguiew [<URLZ>]
launchers

Mote: For a detailed command description use ‘help <command>’
adtf >

Hilft Dir das weiter?

Gruf3
Matthias

#3 - 2018-09-10 14:49 - hidden

- Status changed from In Progress to Customer Feedback Required

#4 - 2018-09-10 15:09 - hidden
- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9670
#5 - 2018-09-11 07:59 - hidden
Hi,

Vielen Dank. Ich habe das mal so im AADC Forum weitergegeben. Toll wére es nattrlich, wenn die ADTF GUI Control dafiir auch eine
Inputméglichkeit hatte.

Gruf,

#6 - 2018-09-12 12:24 - hidden
Hallo Raphael,

kénnen wir das Ticket damit schlieBen?
#7 - 2018-09-12 13:20 - hidden

Ja, vielen Dank!

#8 - 2018-09-12 13:30 - hidden

- Subject changed from WG: [Audi Autonomous Driving Cup 2018] Change properties at runtime? to AADC 2018 - Change properties at runtime?

- Description updated
- Status changed from Customer Feedback Required to To Be Closed

- Resolution changed from Product Issue Opened to Solved Issue

#9 - 2018-09-12 17:10 - hidden

- Project changed from 11 to Public Support

- Subject changed from AADC 2018 - Change properties at runtime? to How to change properties at runtime
- Status changed from To Be Closed to Closed

- Private changed from Yes to No

Files

ADTF_3_Control.png 51 KB 2018-09-10

2024-05-11

3/3

hidden


http://www.tcpdf.org

